"""A list of common reagents."""

# we do not use a bloom filter to avoid dispatching to C, which will take longer than a simple in operation
_common = {
    "B",
    "B1Oc2ccccc2O1",
    "Br",
    "BrB(Br)Br",
    "BrC(Br)(Br)Br",
    "BrCc1ccccc1",
    "BrP(Br)(c1ccccc1)(c1ccccc1)c1ccccc1",
    "BrP(Br)Br",
    "Br[Cu]Br",
    "Br[Zn]Br",
    "C#C",
    "C(=NC1CCCCC1)=NC1CCCCC1",
    "C1=COCCC1",
    "C1CCC(NC2CCCCC2)CC1",
    "C1CCC(P(C2CCCCC2)C2CCCCC2)CC1",
    "C1CCC2=NCCCN2CC1",
    "C1CCCCC1",
    "C1CCNC1",
    "OCC(O)CO",
    "C1CCNCC1",
    "C1CCOC1",
    "C1CN2CCN1CC2",
    "C1CO1",
    "C1COCCN1",
    "C1COCCO1",
    "C1COCCOCCOCCOCCOCCO1",
    "C1OCOCO1",
    "COS(=O)(=O)Cl",
    "C=C(C)OC(=O)Cl",
    "C=O",
    "C=[N+]=[N-]",
    "CC#N",
    "CC(=O)CC(C)=O",
    "CC(=O)Cl",
    "CC(=O)N(C)C",
    "CC(=O)O",
    "CC(=O)OC(C)=O",
    "CC(=O)OC(C)C",
    "CC(=O)OI(OC(C)=O)c1ccccc1",
    "CC(=O)OI1(OC(C)=O)(OC(C)=O)OC(=O)c2ccccc21",
    "CC(=O)O[BH-](OC(C)=O)OC(C)=O",
    "CC(=O)O[Pb](OC(C)=O)(OC(C)=O)OC(C)=O",
    "CC(=O)O[Pd+2]OC(C)=O",
    "CC(=O)[O-]",
    "CC(C)(C#N)N=NC(C)(C)C#N",
    "CC(C)(C)O",
    "CC(C)(C)OC(=O)/N=N/C(=O)OC(C)(C)C",
    "CC(C)(C)OC(=O)OC(=O)OC(C)(C)C",
    "CC(C)(C)OC(N)=O",
    "CC(C)(C)ON=O",
    "CC(C)(C)OO",
    "CC(C)(C)P(C(C)(C)C)C(C)(C)C",
    "CC(C)(C)P(c1ccccc1-c1ccccc1)C(C)(C)C",
    "CC(C)(C)[O-]",
    "CC(C)(C)[Si](C)(C)Cl",
    "CC(C)(C)[Si](C)(C)OS(=O)(=O)C(F)(F)F",
    "CC(C)=O",
    "CC(C)CCON=O",
    "CC(C)COC(=O)Cl",
    "CC(C)C[Al+]CC(C)C",
    "CC(C)C[AlH]CC(C)C",
    "CC(C)C[Al]CC(C)C",
    "CC(C)O",
    "CC(C)OB(OC(C)C)OC(C)C",
    "CC(C)OB1OC(C)(C)C(C)(C)O1",
    "CC(C)OC(=O)/N=N/C(=O)OC(C)C",
    "CC(C)O[Al](OC(C)C)OC(C)C",
    "CC(C)[Mg]Cl",
    "CC(C)[N-]C(C)C",
    "CC(C)[O-]",
    "CC(C)c1cc(C(C)C)c(-c2ccccc2P(C2CCCCC2)C2CCCCC2)c(C(C)C)c1",
    "CC1(C)CCCC(C)(C)N1",
    "CC1(C)CCCC(C)(C)N1[O]",
    "CC1(C)COB(B2OCC(C)(C)CO2)OC1",
    "CC1(C)OB(B2OC(C)(C)C(C)(C)O2)OC1(C)C",
    "CC1(C)O[B]OC1(C)C",
    "CC1(C)c2cccc(P(c3ccccc3)c3ccccc3)c2Oc2c(P(c3ccccc3)c3ccccc3)cccc21",
    "CC1CCCO1",
    "CC=O",
    "CCC(C)(C)O",
    "CCC(C)=O",
    "CCCCC",
    "CCCCCC",
    "CCCCCCC",
    "CCCCCCCCP(CCCCCCCC)CCCCCCCC",
    "CCCCO",
    "CCCCOC1CCC=CO1",
    "CCCCP(CCCC)CCCC",
    "CCCC[N+](CCCC)(CCCC)CCCC",
    "CCCC[SnH](CCCC)CCCC",
    "CCCC[Sn](Cl)(CCCC)CCCC",
    "CCCP1(=O)OP(=O)(CCC)OP(=O)(CCC)O1",
    "CCC[N+](CCC)(CCC)CCC",
    "CCI",
    "CCN(C(C)C)C(C)C",
    "CCN(CC)CC",
    "CCN(CC)S(F)(F)F",
    "CCNCC",
    "CCO",
    "CCOC(=O)/N=N/C(=O)OCC",
    "CCOC(=O)C(F)(F)F",
    "CCOC(=O)CC(=O)OCC",
    "CCOC(=O)Cl",
    "CCOC(C)=O",
    "CCOC(OCC)OCC",
    "CCOCC",
    "CC[SiH](CC)CC",
    "CC[Zn]CC",
    "CI",
    "CN(C)C(On1nnc2ccccc21)=[N+](C)C",
    "CN(C)C(On1nnc2cccnc21)=[N+](C)C",
    "CN(C)C(n1n[n+]([O-])c2ncccc21)=[N+](C)C",
    "CN(C)C=O",
    "CN(C)CCN(C)C",
    "CN(C)P(=O)(N(C)C)N(C)C",
    "CN(C)[C+](N(C)C)n1n[n+]([O-])c2ncccc21",
    "CN(C)[P+](On1nnc2ccccc21)(N(C)C)N(C)C",
    "CN(C)c1ccc(P(C(C)(C)C)C(C)(C)C)cc1",
    "CN(C)c1ccccc1-c1ccccc1P(C1CCCCC1)C1CCCCC1",
    "CN1CCCC1=O",
    "CN1CCOCC1",
    "CO",
    "COC",
    "COC1CCCC1",
    "COCCN(CCOC)S(F)(F)F",
    "COCCOC",
    "COS(=O)(=O)OC",
    "COc1ccc(CCl)cc1",
    "COc1ccc(P2(=S)SP(=S)(c3ccc(OC)cc3)S2)cc1",
    "COc1cccc(OC)c1-c1ccccc1P(C1CCCCC1)C1CCCCC1",
    "CS(=O)(=O)Cl",
    "CS(=O)(=O)OS(C)(=O)=O",
    "CS(C)=O",
    "CSC",
    "C[C@@H]1CCCO1",
    "C[Mg]Br",
    "C[Mg]Cl",
    "C[N+](=O)[O-]",
    "C[N+](C)(C)C",
    "C[N+]1([O-])CCOCC1",
    "C[O-]",
    "C[S-]",
    "C[Si](C)(C)C",
    "C[Si](C)(C)C#N",
    "C[Si](C)(C)C=[N+]=[N-]",
    "C[Si](C)(C)CCOCCl",
    "C[Si](C)(C)I",
    "C[Si](C)(C)N([K])[Si](C)(C)C",
    "C[Si](C)(C)N([Na])[Si](C)(C)C",
    "C[Si](C)(C)[N-][Si](C)(C)C",
    "Cc1cc(C(C)(C)C)c(O)c(C(C)(C)C)c1",
    "Cc1cc(C)cc(C)c1",
    "Cc1ccc(S(=O)(=O)Cl)cc1",
    "Cc1cccc(C)n1",
    "Cc1ccccc1",
    "Cc1ccccc1P(c1ccccc1C)c1ccccc1C",
    "Cl",
    "ClB(Cl)Cl",
    "ClC(Cl)(Cl)Cl",
    "ClC(Cl)Cl",
    "ClC(c1ccccc1)(c1ccccc1)c1ccccc1",
    "ClCCCl",
    "ClCCl",
    "ClCc1ccccc1",
    "ClP(Cl)(Cl)(Cl)Cl",
    "ClP(Cl)Cl",
    "Cl[Al](Cl)Cl",
    "Cl[Cu]",
    "Cl[Cu]Cl",
    "Cl[Fe](Cl)Cl",
    "Cl[Pd]Cl",
    "Cl[Rh-3]([P+](c1ccccc1)(c1ccccc1)c1ccccc1)([P+](c1ccccc1)(c1ccccc1)c1ccccc1)[P+](c1ccccc1)(c1ccccc1)c1ccccc1",
    "Cl[Sn](Cl)(Cl)Cl",
    "Cl[Sn]Cl",
    "Cl[Ti](Cl)(Cl)Cl",
    "Cl[Zn]Cl",
    "Clc1nc(Cl)nc(Cl)n1",
    "F",
    "FB(F)F",
    "F[B-](F)(F)F",
    "F[N+]12CC[N+](CCl)(CC1)CC2",
    "F[P-](F)(F)(F)(F)F",
    "H",
    "ICI",
    "I[Sm]I",
    "N",
    "N#CC1=C(C#N)C(=O)C(Cl)=C(Cl)C1=O",
    "N#C[Cu]",
    "N#C[Fe-3](C#N)(C#N)(C#N)(C#N)C#N",
    "N#C[Fe-4](C#N)(C#N)(C#N)(C#N)C#N",
    "N=C(c1ccccc1)c1ccccc1",
    "NC(N)=O",
    "NN",
    "O",
    "O=C(/N=N/C(=O)N1CCCCC1)N1CCCCC1",
    "O=C(Cl)C(=O)Cl",
    "O=C(Cl)Cl",
    "O=C(Cl)OC(Cl)(Cl)Cl",
    "O=C(Cl)OCc1ccccc1",
    "O=C(O)C(F)(F)F",
    "O=C(O)CC(O)(CC(=O)O)C(=O)O",
    "O=C(O)c1ccccc1I(=O)=O",
    "O=C(OC(=O)C(F)(F)F)C(F)(F)F",
    "O=C(OC(Cl)(Cl)Cl)OC(Cl)(Cl)Cl",
    "O=C(OCc1ccccc1)ON1C(=O)CCC1=O",
    "O=C(OI(OC(=O)C(F)(F)F)c1ccccc1)C(F)(F)F",
    "O=C(OO)c1cccc(Cl)c1",
    "O=C(OOC(=O)c1ccccc1)c1ccccc1",
    "O=C([O-])O",
    "O=C([O-])[O-]",
    "O=C(n1ccnc1)n1ccnc1",
    "O=C1CC=COC1",
    "O=C1CCC(=O)N1Br",
    "O=C1CCC(=O)N1I",
    "O=C1CCC1Cl",
    "O=C1OI(=O)(O)c2ccccc21",
    "O=C=O",
    "C1=CC=C(C(=C1)C(=O)O)N",
    "O=CO",
    "O=C[O-]",
    "O=N[O-]",
    "O=P(Cl)(Cl)Cl",
    "O=P([O-])(O)O",
    "O=P([O-])([O-])O",
    "O=P([O-])([O-])[O-]",
    "O=P(c1ccccc1)(c1ccccc1)c1ccccc1",
    "O=P12OP3(=O)OP(=O)(O1)OP(=O)(O2)O3",
    "O=S(=O)(N(c1ccccc1)S(=O)(=O)C(F)(F)F)C(F)(F)F",
    "O=S(=O)(O)C(F)(F)F",
    "O=S(=O)(O)O",
    "O=S(=O)(OS(=O)(=O)C(F)(F)F)C(F)(F)F",
    "O=S(=O)([O-])O",
    "O=S(=O)([O-])[O-]",
    "O=S(=O)([O-])[Pd+2]",
    "O=S(Br)Br",
    "O=S(Cl)Cl",
    "O=S([O-])([O-])=S",
    "O=S([O-])O",
    "O=S([O-])S(=O)[O-]",
    "O=S([O-])[O-]",
    "O=[Ca]",
    "O=[Cr](=O)(O)O",
    "O=[Cr](=O)(O)O[Cr](=O)(=O)O",
    "O=[Cr](=O)([O-])O[Cr](=O)(=O)[O-]",
    "O=[Cr](=O)=O",
    "O=[Mn](=O)(=O)[O-]",
    "O=[Mn]=O",
    "O=[N+]([O-])O",
    "O=[N+]([O-])[O-]",
    "O=[O+][O-]",
    "O=[Os](=O)(=O)=O",
    "O=[PH](O)O",
    "O=[Pt]=O",
    "O=[Ru](=O)(=O)[O-]",
    "O=[W](=O)([O-])[O-]",
    "OCCO",
    "OCc1ccccc1",
    "OO",
    "Oc1c(F)c(F)c(F)c(F)c1F",
    "Oc1cccc2ccccc12",
    "S=C=S",
    "S=P12SP3(=S)SP(=S)(S1)SP(=S)(S2)S3",
    "Sc1ccccc1",
    "[Ag+]",
    "[Al+3]",
    "[AlH3]",
    "[AlH4-]",
    "[BH3-]C#N",
    "[BH4-]",
    "[Ba+2]",
    "[Br-]",
    "[Br]",
    "[C-]#N",
    "[C-]#[N+]CS(=O)(=O)c1ccc(C)cc1",
    "[C-]#[O+]",
    "[C]",
    "[Ce+4]",
    "[Cl-]",
    "[Cs+]",
    "[Cu]Br",
    "[Cu]I",
    "[F-]",
    "[Fe+2]",
    "[Fe+3]",
    "[Fe]",
    "[H-]",
    "[I-]",
    "[I]",
    "[K+]",
    "[Li+]",
    "[Li]",
    "[Li]C(C)(C)C",
    "[Li]C(C)CC",
    "[Li]CCCC",
    "[Li]N1C(C)(C)CCCC1(C)C",
    "[Mg+2]",
    "[N-]=[N+]=N",
    "[N-]=[N+]=NP(=O)(Oc1ccccc1)Oc1ccccc1",
    "[N-]=[N+]=NP(=O)(c1ccccc1)c1ccccc1",
    "[N-]=[N+]=[N-]",
    "[NH2-]",
    "[NH4+]",
    "[Na+]",
    "[Ni+2]",
    "[O-2]",
    "[O-]Br",
    "[O-]Cl",
    "[O-][Cl+3]([O-])([O-])O",
    "[O-][Cl+][O-]",
    "[O-][I+3]([O-])([O-])[O-]",
    "[O-][I+](O)(O)(O)(O)O",
    "[OH-]",
    "[Pd+2]",
    "[Pd]",
    "[Pt]",
    "[S-2]",
    "[Ti+4]",
    "[Zn]",
    "c1c[nH]cn1",
    "c1cc[nH+]cc1",
    "c1ccc(P(CCCCP(c2ccccc2)c2ccccc2)c2ccccc2)cc1",
    "c1ccc(P(CCCP(c2ccccc2)c2ccccc2)c2ccccc2)cc1",
    "c1ccc(P(CCP(c2ccccc2)c2ccccc2)c2ccccc2)cc1",
    "c1ccc(P(c2ccccc2)c2ccc3ccc4cccc5ccc2c3c45)cc1",
    "c1ccc(P(c2ccccc2)c2ccc3ccccc3c2-c2c(P(c3ccccc3)c3ccccc3)ccc3ccccc23)cc1",
    "c1ccc(P(c2ccccc2)c2ccccc2)cc1",
    "c1ccc([PH+](c2ccccc2)c2ccccc2)cc1",
    "c1ccc2c(c1)nnn2O[P+](N1CCCC1)(N1CCCC1)N1CCCC1",
    "c1ccccc1",
    "c1ccncc1",
    "N#N",
    "[H][H]",
    "O=O",
    "[O-][O+]=O",
    "[C-]#[O+]",
    "C",
    "CC",
    "CCC",
    "CCCC",
    "CCCCC",
    "CCCCCC",
    "CCCCCCC",
    "CCCCCCCC",
    "CCCCCCCCC",
    "CCCCCCCCCC",
    "N",
    "ClCl",
    "[He]",
    "[Ne]",
    "[Ar]",
}
